% Demo script for merging dense gradient and depth map

% Load Beethoven gradient (script 1_generate_PS_data must have been run)
load results_PS_Beethoven

% Create dense prior z0 : Peaks surface
z0 = 10*transpose(peaks(size(p,1)));
z0(mask==0) = NaN;
lambda = 1e-2;


z3 = integrate_with_prior(p,q,z0,lambda,mask);

% Show result
figure(7)
surfl(fliplr(z0),[0 90])
shading flat
axis equal
view(130,30)
colormap gray
camlight headlight
camlight(0,90)
axis off
title('Prior (peaks surface)','Interpreter','Latex','Fontsize',18)

figure(8)
surfl(fliplr(z3),[0 90])
shading flat
axis equal
view(130,30)
colormap gray
camlight headlight
camlight(0,90)
axis off
title('Integration with prior','Interpreter','Latex','Fontsize',18)



